- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
pdftron::PDF::Image2RGB Class Reference

`#include <Image2RGB.h>`

Inheritance diagram for pdftron::PDF::Image2RGB:

## Public Member Functions
| Image2RGB (Element image_element)
| Image2RGB (SDF::Obj image_xobject)
| Image2RGB (Image image)
Public Member Functions inherited from pdftron::Filters::Filter
| Filter ()
| ~Filter ()
| Filter (const Filter &copy)
Filter & | operator= (const Filter &other)
| operator bool ()
void | AttachFilter (Filter attach_filter)
Filter | ReleaseAttachedFilter ()
Filter | GetAttachedFilter ()
Filter | GetSourceFilter ()
const char * | GetName () const
const char * | GetDecodeName () const
UChar * | Begin ()
size_t | Size ()
void | Consume (size_t num_bytes)
size_t | Count ()
size_t | SetCount (size_t new_count)
void | SetStreamLength (size_t bytes)
void | Flush ()
void | FlushAll ()
bool | IsInputFilter ()
bool | CanSeek ()
void | Seek (ptrdiff_t offset, ReferencePos origin)
ptrdiff_t | Tell ()
size_t | Truncate (size_t new_size)
Filter | CreateInputIterator ()
const UString | GetFilePath () const
void | Destroy ()
void | WriteToFile (const UString &path, bool append)

## Additional Inherited Members
Public Types inherited from pdftron::Filters::Filter
enum | ReferencePos { e_begin = SEEK_SET, e_end = SEEK_END, e_cur = SEEK_CUR }

## Detailed Description

Image2RGB is a filter that can decompress and normalize any PDF image stream (e.g. monochrome, CMYK, etc) into a raw RGB pixel stream.

Definition at line 20 of file Image2RGB.h.

## Constructor & Destructor Documentation

pdftron::PDF::Image2RGB::Image2RGB | ( | Element | image_element | ) |

pdftron::PDF::Image2RGB::Image2RGB | ( | SDF::Obj | image_xobject | ) |

pdftron::PDF::Image2RGB::Image2RGB | ( | Image | image | ) |

The documentation for this class was generated from the following file:

- PDF/Image/Image2RGB.h